Update Flow
put
/rpa/v1/flows/{identifier}/{version}
Updates the Flow identified by the id.
Request
Path Parameters
-
identifier(required): string
Identifier.
-
version(required): string
Version identifier.
Query Parameters
-
projectId(required): string
Project identifier
Header Parameters
-
if-match: string
For optimistic concurrency control. In the PUT or DELETE call for a resource, set the `if-match` parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource's current etag value.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThe information to be updated.
Show Source
-
areScreenshotsAllowed: boolean
Whether the screenshots needs to be allowed for the selected tracing levels
-
description: string
Minimum Length:
0Maximum Length:1024Description of the Flow. -
designTimeData: string
Indicates the design time data
-
displayName: string
Flow name
-
environmentGroupIdentifier: string
Default Environment Group ID where the flow will be executed
-
environmentGroupProjectId: string
Default Environment Group Project ID where the flow will be executed
-
flowProperties: object
flowProperties
Additional Properties Allowed: additionalPropertiesMap
for the Flow Properties -
keywords: string
Minimum Length:
0Maximum Length:1024Keywords. -
tracingLevel: string
Allowed Values:
[ "PROD", "AUDIT", "DEBUG" ]tracingLevel of this flow
Nested Schema : flowProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the Flow Properties
Example:
{
"adminEmail":"joseFeliciano@mycompany.net",
"primaryLanguage":"sp"
}Response
202 Response
Accepted the request. The Flow will be updated.
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
-
opc-work-request-id:
Unique Oracle-assigned identifier for the asynchronous work. You can use this to query its status.
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
412 Response
Precondition failed
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.